=== debian/changelog ===
ros-humble-robot-controllers-interface (0.9.3-1bookworm) bookworm; urgency=high

  * Fix tf node spam (#80 <https://github.com/mikeferguson/robot_controllers/issues/80>)
    Stop the tf listener from creating its own node by passing a reference to the parent node.
    The parallelism is untouched as tf uses a callback group for the tf topics that is spon its own executor instance.
    This lowers the overhead from too many nodes and reduces spam in visualizations such as the rqt node graph.
  * Contributors: Florian Vahl

 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 20 Aug 2022 16:00:00 -0000

ros-humble-robot-controllers-interface (0.9.2-1bookworm) bookworm; urgency=high

  * fix a bug in the older constructor (#78 <https://github.com/mikeferguson/robot_controllers/issues/78>)
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 20 Jun 2022 16:00:00 -0000

ros-humble-robot-controllers-interface (0.9.1-1bookworm) bookworm; urgency=high

  * move transform listener to manager (#77 <https://github.com/fetchrobotics/robot_controllers/issues/77>)
    each transform listener incurs an extra DDS node, which can
    have a significant effect in a large system. this change
    allows our robot driverrs to have a single shared transform
    listener across all controllers (and even the whole node,
    since the buffer can be passed in with the new constructor)
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 19 Jun 2022 16:00:00 -0000

ros-humble-robot-controllers-interface (0.9.0-1bookworm) bookworm; urgency=high

  * update logging messages for galactic and later (#75 <https://github.com/fetchrobotics/robot_controllers/issues/75>)
    https://docs.ros.org/en/humble/Releases/Release-Galactic-Geochelone.html#change-in-rclcpp-s-logging-macros
    also add a few build cleanups, fails on humble otherwise
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 07 Jun 2022 16:00:00 -0000

ros-humble-robot-controllers-interface (0.8.1-1bookworm) bookworm; urgency=high

  * add Fergs as maintainer (#65 <https://github.com/fetchrobotics/robot_controllers/issues/65>)
  * additional boost disabling (#64 <https://github.com/fetchrobotics/robot_controllers/issues/64>)
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 01 Dec 2020 16:00:00 -0000

ros-humble-robot-controllers-interface (0.8.0-1bookworm) bookworm; urgency=high

  * Add initial support for ROS2
  * implement getJointNames/getControllerNames (#51 <https://github.com/fetchrobotics/robot_controllers/issues/51>)
    this was discussed in #39 <https://github.com/fetchrobotics/robot_controllers/issues/39>
  * Merge pull request #47 <https://github.com/fetchrobotics/robot_controllers/issues/47> from mikeferguson/ros2
  * improve logging
  * switch to service interface
  * gravity compensation controller working in ros2
  * Various bug and API fixes
  * Added gyro interface to robot controllers (#43 <https://github.com/fetchrobotics/robot_controllers/issues/43>)
  * Updates maintainers
  * Contributors: Alex Moriarty, Carl Saldanha, Michael Ferguson, Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 24 Nov 2020 16:00:00 -0000

ros-humble-robot-controllers-interface (0.6.0-1bookworm) bookworm; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 16:00:00 -0000

ros-humble-robot-controllers-interface (0.5.3-1bookworm) bookworm; urgency=high

  * add error message when pluginlib fails
  * fix cmake warnings on kinetic (#28 <https://github.com/fetchrobotics/robot_controllers/issues/28>)
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 10 Jun 2017 16:00:00 -0000

ros-humble-robot-controllers-interface (0.5.2-1bookworm) bookworm; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 17 Jul 2016 16:00:00 -0000

ros-humble-robot-controllers-interface (0.5.1-1bookworm) bookworm; urgency=high

  * Dynamically load controllers (#23 <https://github.com/fetchrobotics/robot_controllers/issues/23>)
    * When requested controller not in default list, check parameter server for controller
    * Controller loader catches pluginlib exception when trying to load bad controller
  * Return controller states even if update fails
  * Contributors: Michael Ferguson, Sarah Elliott

 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 17 Jul 2016 16:00:00 -0000

ros-humble-robot-controllers-interface (0.5.0-1bookworm) bookworm; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 20 Feb 2016 16:00:00 -0000

ros-humble-robot-controllers-interface (0.4.3-1bookworm) bookworm; urgency=high

  * add mainpage to doxygen
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 04 Dec 2015 16:00:00 -0000

ros-humble-robot-controllers-interface (0.4.2-1bookworm) bookworm; urgency=high

  * add -Wall to interface package
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 21 Oct 2015 16:00:00 -0000

ros-humble-robot-controllers-interface (0.4.1-1bookworm) bookworm; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 11 Jun 2015 16:00:00 -0000

ros-humble-robot-controllers-interface (0.4.0-1bookworm) bookworm; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 22 May 2015 16:00:00 -0000

ros-humble-robot-controllers-interface (0.3.4-1bookworm) bookworm; urgency=high

  * add ability to reset controllers
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 21 May 2015 16:00:00 -0000

ros-humble-robot-controllers-interface (0.3.3-1bookworm) bookworm; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 02 May 2015 16:00:00 -0000

ros-humble-robot-controllers-interface (0.3.2-1bookworm) bookworm; urgency=high

  * install scripts

